<?php
/*
Plugin Name: Spójniki
Plugin URI: http://tomaszgasior.kao.pl/spojniki
Description: Przenosi spójniki z końca linijki do początku następnej.
Version: 0.2
Author: Tomasz Gąsior
Author URI: http://tomaszgasior.kao.pl/spojniki
*/

/* 
pierwsza wersja: 2013-08-26 
aktualizacja:    2014-07-07
*/

function spojniki( $tekst ) {

	$z  = array(' o ',      ' u ',      ' w ',      ' z ',      ' i ',       ' a ',
	            ' O ',      ' U ',      ' W ',      ' Z ',      ' I ',       ' A ',
	            '(o ',      '(u ',      '(w ',      '(z ',      '(i ',       '(a ',
	            '(O ',      '(U ',      '(W ',      '(Z ',      '(I ',       '(A '
	           );

	$na = array(' o&nbsp;', ' u&nbsp;', ' w&nbsp;', ' z&nbsp;', ' i&nbsp;',  ' a&nbsp;',
	            ' O&nbsp;', ' U&nbsp;', ' W&nbsp;', ' Z&nbsp;', ' I&nbsp;',  ' A&nbsp;',
	            '(o&nbsp;', '(u&nbsp;', '(w&nbsp;', '(z&nbsp;', '(i&nbsp;',  '(a&nbsp;',
	            '(O&nbsp;', '(U&nbsp;', '(W&nbsp;', '(Z&nbsp;', '(I&nbsp;',  '(A&nbsp;'
	           );

	return str_replace( $z, $na, $tekst );

}

add_filter( 'the_content',  'spojniki' );
add_filter( 'the_title',    'spojniki' );
add_filter( 'comment_text', 'spojniki' );

?>